Subject: bug#1959 closed by Chong Yidong <[email-masked]> (Re: bug#1958: 23.0.60; org-mode does not honour shift-select-mode)

From: [email-masked] (Emacs bug Tracking System)
Date: Tue, 27 Jan 2009 14:10:05 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,org-mode package:

#1958: 23.0.60; org-mode does not honour shift-select-mode 

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
1958: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1958
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#1958: 23.0.60; org-mode does not honour shift-select-mode
From: Chong Yidong <[email-masked]>
To: Carsten Dominik <[email-masked]>
Cc: Andreas Amann <[email-masked]>, [email-masked], Lennart Borgman <[email-masked]>
Date: Tue, 27 Jan 2009 09:03:25 -0500

Carsten Dominik <[email-masked]> writes:

> This bug is now closed, do I need to do something to mark it as such?

To close a bug, just send a CC to [email-masked].
I've done that right now.

Subject: Re: 23.0.60; org-mode does not honour shift-select-mode
From: Carsten Dominik <[email-masked]>
To: Andreas Amann <[email-masked]>
Cc: [email-masked], [email-masked], Carsten Dominik <[email-masked]>, Emacs-orgmode mailing list <[email-masked]>
Date: Mon, 19 Jan 2009 21:54:31 +0100

I am aware of this conflict, but I had no idea that this mode is on by  
default?
What ever happened with Emacs that we have become this much Windows- 
biased????

Anyway, if the Emacs Gods decide that this has to change, the way to  
do it would be this:

- Carsten

--- org.el.orig 2009-01-19 21:52:10.000000000 +0100
+++ org.el      2009-01-19 21:52:42.000000000 +0100
@@ -246,7 +246,7 @@
    :group 'org-startup
    :type 'boolean)

-(defcustom org-replace-disputed-keys nil
+(defcustom org-replace-disputed-keys shift-select-mode
    "Non-nil means use alternative key bindings for some keys.
  Org-mode uses S-<cursor> keys for changing timestamps and priorities.
  These keys are also used by other packages like `CUA-mode' or  
`windmove.el'.

On Jan 19, 2009, at 6:09 PM, Andreas Amann wrote:

> start with "emacs -Q test.org"
>
> type "* bla"
> and then shift-left
>
> expected behaviour: since shift-select-mode is set to t by default
> (see src/callint.c), I would expect that shift-movements select
> a region, and that major modes should not override this behaviour,
> without being asked of doing so.
>
> actual behaviour: upon shift-left the binding org-shiftleft is called
> which marks the current item as "DONE". This is very confusing for
> people accostumed to shift-selection, which works very well in all
> other emacs modes I know.
>
> Possible solution: in lisp/org/org.el
> only include the bindings
>
>         '([(shift up)]          org-shiftup)
>          '([(shift down)]        org-shiftdown)
>          '([(shift left)]        org-shiftleft)
>          '([(shift right)]       org-shiftright)
>
> if the variable shift-select-mode is nil.
>
>
>
>
> In GNU Emacs 23.0.60.1 (x86_64-unknown-linux-gnu, X toolkit, Xaw3d  
> scroll bars)
> of 2009-01-14 on lnx0015f2465ec6
> Windowing system distributor `The X.Org Foundation', version  
> 11.0.10300000
> configured using `configure  '--prefix=/home/aamann/local/emacs-cvs'  
> 'LDFLAGS=-L/home/aamann/local/lib64' 'CPPFLAGS=-I/home/aamann/local/ 
> include''
>
> Important settings:
>  value of $LC_ALL: nil
>  value of $LC_COLLATE: nil
>  value of $LC_CTYPE: nil
>  value of $LC_MESSAGES: nil
>  value of $LC_MONETARY: nil
>  value of $LC_NUMERIC: nil
>  value of $LC_TIME: nil
>  value of $LANG: en_IE.utf8
>  value of $XMODIFIERS: @im=none
>  locale-coding-system: utf-8-unix
>  default-enable-multibyte-characters: t
>
> Major mode: Org
>
> Minor modes in effect:
>  tooltip-mode: t
>  tool-bar-mode: t
>  mouse-wheel-mode: t
>  menu-bar-mode: t
>  file-name-shadow-mode: t
>  global-font-lock-mode: t
>  font-lock-mode: t
>  blink-cursor-mode: t
>  global-auto-composition-mode: t
>  auto-composition-mode: t
>  auto-encryption-mode: t
>  auto-compression-mode: t
>  line-number-mode: t
>  transient-mark-mode: t
>
> Recent input:
> * S-SPC b l a <S-left> <help-echo> <help-echo> <help-echo>
> <help-echo> <help-echo> <help-echo> <help-echo> <menu-bar>
> <help-menu> <send-emacs-bug-report>
>
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
> test.org has auto save data; consider M-x recover-this-file
> OVERVIEW